package depart.frontal.evenements;

import ca.ntro.app.events.Event;
import depart.frontal.vues.VueB;

public class EvtRelocaliserViewport extends Event {

	private double topLeftX;
	private double topLeftY;
	private double width;
	private double height;

	public EvtRelocaliserViewport setTopLeftX(double topLeftX) {
		this.topLeftX = topLeftX;
		return this;
	}

	public EvtRelocaliserViewport setTopLeftY(double topLeftY) {
		this.topLeftY = topLeftY;
		return this;
	}

	public EvtRelocaliserViewport setWidth(double width) {
		this.width = width;
		return this;
	}

	public EvtRelocaliserViewport setHeight(double height) {
		this.height = height;
		return this;
	}



	public void appliquer(VueB paramA) {
		
		paramA.methodeB(topLeftX, 
				        topLeftY, 
				        width, 
				        height);
	}
}
